Subject: Re: bug#22818: 25.1.1 Emacs.app crash ns_compute_glyph_string_overhangs

From: Alan Third <[email-masked]>
Date: Sat, 19 Nov 2016 14:53:36 +0000

On Sat, Nov 19, 2016 at 01:43:17PM +0200, Eli Zaretskii wrote:
> > Date: Sat, 19 Nov 2016 11:18:23 +0000
> > From: Alan Third <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > 
> > I’m trying to work out how to do this, but in the mean‐time here’s s->face:
> > 
> > (lldb) fr v *s->face
> > (face) *s->face = {
> > [...]
> >   id = 19
> 
> What is the value of lface_id_to_name[19]?  It should be a Lisp
> symbol; if so, what is that symbol's name?  (The file src/.gdbinit
> defines a command, xsymbol, to display the name of a symbol, but I
> don't know how to do that with LLDB.)

I’ve run into some sort of a problem here as lldb was throwing up an
error, so I signed gdb to try it and it’s also giving an error:

(gdb) p s->face.id
$2 = 17
(gdb) p lface_id_to_name[17]
$3 = 31008
(gdb) xsymbol(lface_id_to_name[17])
$4 = (struct Lisp_Symbol *) 0x7ab8
Cannot access memory at address 0x7ac0

am I doing this wrong?
-- 
Alan Third